
Ruby - Bug #14576

rdoc of Random::Formatter

03/05/2018 12:21 PM - znz (Kazuhiro NISHIYAMA)

Status: Third Party's Issue   

Priority: Normal   

Assignee: hsbt (Hiroshi SHIBATA)   

Target version:    

ruby -v:  Backport: 2.3: UNKNOWN, 2.4: UNKNOWN, 2.5:

UNKNOWN

Description

https://docs.ruby-lang.org/en/trunk/Random/Formatter.html has following methods:

#alphanumeric

#base64

#choose

#gen_random

#hex

#rand

#random_bytes

#random_number

#urlsafe_base64

#uuid

 But Random::Formatter.instance_methods are only two methods.

>> Random::Formatter.instance_methods

=> [:random_number, :rand]

Associated revisions

Revision d32763eca0817c92ee0451ee6e08576879317e22 - 05/05/2018 03:12 AM - nobu (Nobuyoshi Nakada)

securerandom.rb: [DOC] require in examples

lib/securerandom.rb: added require 'securerandom' to each

example, to state these methods are defined in this library and

require it explicitly.  [ruby-core:85933] [Bug #14576]

[ci skip]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@63341 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision d32763ec - 05/05/2018 03:12 AM - nobu (Nobuyoshi Nakada)

securerandom.rb: [DOC] require in examples

lib/securerandom.rb: added require 'securerandom' to each

example, to state these methods are defined in this library and

require it explicitly.  [ruby-core:85933] [Bug #14576]

[ci skip]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@63341 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 03/06/2018 12:48 PM - aycabta (aycabta .)

https://github.com/ruby/rdoc/issues/605

#2 - 03/06/2018 01:28 PM - nobu (Nobuyoshi Nakada)

The other methods are defined in securerandom.rb.

#3 - 03/07/2018 12:48 AM - hsbt (Hiroshi SHIBATA)
https://docs.ruby-lang.org/en/trunk/Random/Formatter.html
https://github.com/ruby/rdoc/issues/605


- Status changed from Open to Third Party's Issue

- Assignee set to hsbt (Hiroshi SHIBATA)
